Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class TetherConnectionEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.GraphicalEditPolicyEx
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.TetherConnectionEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class TetherConnectionEditPolicy
extends org.eclipse.gmf.runtime.gef.ui.internal.editpolicies.GraphicalEditPolicyEx

An EditPolicy that tethers a shape to the connection to which it applies. The default style for the tether is `Graphics.LINE_DASH`

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`TetherConnectionEditPolicy()`

Method Summary
`void` `activate()` Adds the tether upon activation
`void` `deactivate()` Removes the tether upon deactivation.
`void` `refresh()` Updates the end-points of the tether based on the figure's position.

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TetherConnectionEditPolicy

    public TetherConnectionEditPolicy()

Method Detail

### activate

    public void activate()

  Adds the tether upon activation

### deactivate

    public void deactivate()

  Removes the tether upon deactivation.

### refresh

    public void refresh()

  Updates the end-points of the tether based on the figure's position.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.